---
###
# File........: /sshd/tasks/01_sshd_setup.yml
# Description.: Ansible Automation Task: Secure Shell Daemon - Set up SSH Daemon
# Author......: Issac Nolis Ohasi
# Created at..: 20.02.2022 11:25
###
- block:
  - name: "[SSH Server Setup] Backuping sshd configuration file"
    copy:
      src: "{{ sshd_file_path }}"
      dest: "{{ sshd_file_path }}.bak.{{ lookup('pipe', 'date +%Y-%m-%dT%H:%M:%S') }}"
      owner: root
      group: root

  - name: "[SSH Server Setup] Generating master sshd configuration file"
    template:
      src: etc/ssh/sshd_config.j2
      dest: "{{ sshd_file_path }}"
      owner: root
      group: root
      mode: 0644
